package com.isu.gaswellwatch.modbus.data.decode.impl;

import cn.hutool.core.map.MapUtil;
import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import com.isu.gaswellwatch.modbus.data.decode.DecodeHandler;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 整型书解析器解析器
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2025/2/25 11:15
 */
@Component(LongDecodeHandler.NAME + DecodeHandler.DECODE_NAME)
public class LongDecodeHandler implements DecodeHandler {

    public static final String NAME = "long";

    @Override
    public String decode(Map<String, Object> commandPointMap, String value) {
        if (StringUtils.isBlank(value)) {
            return value;
        }
        return String.valueOf(Long.parseLong(value, 16));
    }

    @Override
    public void decode(Map<String, Object> commandPointMap, ModbusMessage.MessagePoint point) {
        point.setValue(this.decode(commandPointMap, MapUtil.getBool(commandPointMap, "use_hex", Boolean.FALSE) ? point.getOriginalValue() : point.getValue()));
    }

}
