package com.isu.gaswellwatch.modbus.data.decode.impl.weps;


import cn.hutool.core.map.MapUtil;
import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import com.isu.gaswellwatch.modbus.data.decode.DecodeHandler;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2025/2/25 11:36
 */
@Component(WepsCurrentStatus0xDecodeHandler.NAME + DecodeHandler.DECODE_NAME)
public class WepsCurrentStatus0xDecodeHandler implements DecodeHandler {
    public static final String NAME = "wepsCurrentStatus0x";

    @Override
    public String decode(Map<String, Object> commandPointMap, String value) {
        if (StringUtils.isBlank(value)) {
            return value;
        }
//        0x8000:关井
//        0x8001:上升
//        0x8002:续流
//        0x8003:停机
        return value;
    }

    @Override
    public void decode(Map<String, Object> commandPointMap, ModbusMessage.MessagePoint point) {
        point.setValue(this.decode(commandPointMap, MapUtil.getBool(commandPointMap, "use_hex", Boolean.FALSE) ? point.getOriginalValue() : point.getValue()));
    }
}
