package com.isu.gaswellwatch;


import cn.hutool.core.map.MapUtil;
import com.isu.gaswellwatch.modbus.data.decode.impl.AbstractByteOrderDecodeHandler;
import com.isu.gaswellwatch.utils.ByteOrderUtils;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.util.Map;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2025/2/25 19:57
 */
public class ByteOrderTest {

    @Test
    public void byteOrderDecodeTest() {
        Map<String, Object> commandPointMap = MapUtil.newHashMap();
        commandPointMap.put("byte_order", "CDAB");
        AbstractByteOrderDecodeHandler abstractByteOrderDecodeHandler = new AbstractByteOrderDecodeHandler();
        String value = abstractByteOrderDecodeHandler.decode(commandPointMap, "02580000");
        Assertions.assertEquals(Long.parseLong(value, 16), 600L);
    }

    @Test
    public void byteOrderEncodeTest() {
        long seconds = 600;
        String testHexString = "02580000";
        Assertions.assertEquals(ByteOrderUtils.encode(Long.toHexString(seconds), "CDAB"), testHexString);
    }


}
