package com.isu.gaswellwatch;


import com.isu.gaswellwatch.modbus.data.listener.DynamicRabbitListener;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageProperties;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2025/2/20 21:13
 */
@SpringBootTest
@ActiveProfiles("test")
public class WrpsDecodeTest {

    private String message = "562E53352E31332E34305831/50001/10300/1740053970000/1740053974379/01034001D4017300000001000003F10000000000920000000000000000000100020002000000000032000000000078052801F40032003C003C00780019003C0CE20003FE8C";

    @Resource
    private DynamicRabbitListener dynamicRabbitListener;

    @Test
    public void testWrpsDecode() {
        Message testMessage = Mockito.mock(Message.class);
        MessageProperties testMessageProperties = Mockito.mock(MessageProperties.class);
        Mockito.doReturn(this.message.getBytes()).when(testMessage).getBody();
        Mockito.doReturn(testMessageProperties).when(testMessage).getMessageProperties();
        Mockito.doReturn("/modbus/collect/0").when(testMessageProperties).getConsumerQueue();

        this.dynamicRabbitListener.getComposeListener().onMessage(testMessage);
    }

}

